
CREATE OR REPLACE FUNCTION documentdb_api_internal.authenticate_with_scram_sha256(
    p_user_name text, p_auth_msg text, p_client_proof text)
 RETURNS documentdb_core.bson
 LANGUAGE C
PARALLEL SAFE STABLE
AS 'MODULE_PATHNAME', $$command_authenticate_with_scram_sha256$$;
COMMENT ON FUNCTION documentdb_api_internal.authenticate_with_scram_sha256(text, text, text)
    IS 'Used to authenticate the user with Postgresql DB using SCRAM SHA-256';
CREATE OR REPLACE FUNCTION documentdb_api_internal.scram_sha256_get_salt_and_iterations(
    p_user_name text)
 RETURNS documentdb_core.bson
 LANGUAGE C
PARALLEL SAFE STABLE
AS 'MODULE_PATHNAME', $$command_scram_sha256_get_salt_and_iterations$$;
COMMENT ON FUNCTION documentdb_api_internal.scram_sha256_get_salt_and_iterations(text)
    IS 'Gets SALT and Iteration count for the given user from the backend';
